IE not supported by Canvas Fall 2019

Beginning this fall 2019, the Internet Explorer (IE) browser will no longer be supported by Canvas.  If you are using IE as a browser, you should begin using a different browser such as Chrome or Firefox as an alternative to IE.  It still supports the current and first previous major releases of the following browsers:

  • Chrome 73 and 74
  • Firefox 65 and 66
  • Flash 31 and 32
  • Edge 42 and 44 (Windows only)
  • Respondus Lockdown Browser
  • Safari 11 and 12 (Macintosh only)

Mobile Browsers

  • Latest version of Safari (iOS)
  • Chrome (Android)

Some supported browsers may still produce a banner stating Your browser does not meet the minimum requirements for Canvas. If you have upgraded your browser but you are still seeing the warning banner, try logging out of Canvas and deleting your browser cookies. The warning banner will display in versions of Firefox older than Firefox 60 and versions of Chrome older than Chrome 66.

If you should have questions, please feel free to contact the LTC Office.

Gary Zhao, Computer Software & Programming Specialist